
Infrastructure - Task #6714

Feature # 6498 (Closed): V2 Metacat MN and CN Support

Task # 6734 (Closed): Implement the feature to support SID in MN and CN apis

SID in the SystemMetadata in the create method

2015-01-05 21:34 - Jing Tao

Status: Closed Start date: 2015-01-05

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Create() method in CN and MN

Two create() calls using new PIDs but same SID in the SystemMetadata.

MN - will reject the second call since this would trigger creation of a branch. The MN should use update() instead of the second

create call.

CN - It doesn't have the update() method. What should we do? Need to look at content synchronization implementation

History

#1 - 2015-01-06 23:44 - Jing Tao

- Parent task set to #6734

#2 - 2015-04-14 20:59 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

It is the duplicated ticket of https://redmine.dataone.org/issues/6832.
